# Generated by rust2rpm 27
# prevent library files from being installed
%global cargo_install_lib 0

Name:           televido
Version:        0.4.0
Release:        1%{?dist}
Summary:        Access german-language public broadcasting live streams.

SourceLicense:  MIT AND CC0-1.0 AND GPLv3+
# FIXME: paste output of %%cargo_license_summary here
License:        (Apache-2.0 OR MIT) AND BSD-3-Clause AND (MIT OR Apache-2.0) AND Unicode-DFS-2016 AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) (Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (GPL-3.0-or-later) AND (MIT) AND (MIT AND CC0-1.0 AND GPLv3+) AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT)

# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/d-k-bo/televido
Source:         https://github.com/d-k-bo/televido/archive/refs/tags/v%{version}.tar.gz
# Manually created patch for downstream crate metadata changes
Patch:          televido-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  blueprint-compiler
BuildRequires:  meson
BuildRequires:  desktop-file-utils

%global _description %{expand:
Televido (“Television” in Esperanto) lets you livestream, search, play and 
download media from German-language public television services. It is powered 
by MediathekViewWeb's API and the Zapp backend API which are both part of the.
MediathekView project.

The presented content is provided directly by the respective television 
services, this program only facilitates finding and accessing the shows.

For video playback and download, Televido uses external programs that are 
installed on the user's system.}

%description %{_description}

%prep
%autosetup -n televido-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%meson
%meson_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%meson_install
desktop-file-validate %{buildroot}%{_datadir}/applications/de.k_bo.Televido.desktop

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%license LICENSES/GPL-3.0-or-later.txt
%license data/resources/icons/scalable/channels/LICENSE
%license LICENSE.dependencies
%doc README.de.md
%doc README.md
%doc meson_options.txt
%{_bindir}/televido
%{_datadir}/applications/de.k_bo.Televido.desktop
%{_datadir}/icons/hicolor/scalable/apps/de.k_bo.Televido.svg
%{_datadir}/icons/hicolor/symbolic/apps/de.k_bo.Televido-symbolic.svg
%{_datadir}/glib-2.0/schemas/de.k_bo.Televido.gschema.xml
%{_datadir}/metainfo/de.k_bo.Televido.metainfo.xml

%changelog
* Sat Jan 11 2025 josef radinger <cheese@nosuchhost.net> - 0.4.0-1
- initial version
- add BuildRequires on blueprint-compiler
